1. Fiat Deposit
v2.0 (Sandbox)
  • v2.0 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Idempotent Requests
    • Webhook
    • Authentication
      • Get Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
      • Get Settlement Statement
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Merchant Status Webhook
    • Fiat Payment
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Fiat Account Request Status Webhook
        • Add Bank Account
        • Get Bank Accounts
      • Fiat Deposit
        • Get Deposit Bank Account
          GET
        • Get Fiat Deposit Detail
          GET
        • Get Fiat Deposit History
          GET
        • Fiat Deposit Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Checkout
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
        • Get Crypto Deposit Wallet
        • Get Crypto Deposit
        • Get Crypto Deposit History
        • Crypto Deposit Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Collection
        • Buyer Management
          • Create Buyer
          • Get Buyer
          • Update Buyer
          • Buyer Status Webhook
        • Create Collection Wallet
        • Update Collection Wallet
        • Get Collection Wallet
        • Get Crypto Collection
        • Update Co-KYT status
        • Crypto Collection Wallet Webhook
        • Crypto Collection Webhook
      • Crypto Refund
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Tool
      • Upload File
      • getTnC
  1. Fiat Deposit

Get Fiat Deposit History

GET
/v1.0/payment/fiat/deposit/history
API Overview
ItemValue
API StatusStable
Current Versionv1.0
Backward CompatibilityNo
Applicable EnvironmentProduction

Description
To retrieve historical records of deposit transactions.

Request

Authorization
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/v1.0/payment/fiat/deposit/history?participantCode=B0100010&startTime&endTime&offset&limit'

Responses

🟢200OK
application/json
Body

Example
{
    "code": "string",
    "msg": "string",
    "data": {
        "participantCode": "string",
        "transactionType": 1,
        "startTime": 0,
        "endTime": 0,
        "transactions": [
            {
                "fiatDepositId": "string",
                "participantCode": "string",
                "currency": "string",
                "amount": "string",
                "receivingAccount": "string",
                "payerName": "string",
                "payerBankSwiftCode": "string",
                "sourceAccount": "string",
                "status": 1,
                "statusInfo": "string",
                "paymentReference": "string",
                "createdAt": "string"
            }
        ],
        "pagination": {
            "limit": 0,
            "offset": 0,
            "total": 0,
            "hasMore": true
        }
    }
}
Modified at 2026-03-20 07:35:53
Previous
Get Fiat Deposit Detail
Next
Fiat Deposit Webhook
Built with